
*===========================
*附录表2 描述性统计
*===========================
  set more off
  logout, save(table00) word replace:                                    ///
  tabstat rd_asset patent msp msp_annual msp_extra or rpt    size lever  ///
          cfo roa growth expend  soe,                                    ///
  stats(n mean sd min p25 p50 p75 max) c(s) f(%6.4f)
  

*===========================
*附录表3 相关系数分析
*=========================== 
  *！左下角为Pearson相关系数，右上角是spearman相关系数
  spearman rd_asset msp  size lever  cfo roa growth  expend  soe  
  n mata
  x=st_data(.," rd_asset msp  size lever  cfo roa growth  expend  soe   ")
  c=correlation(x)
  n=rows(c)
  b=strofreal(lowertriangle(c)+uppertriangle(st_matrix("r(Rho)")), "%9.4f")
  p=st_matrix("r(P)")
  for (i=2; i<=n; i++) {
  for (j=1; j<=i-1; j++) {
  p[i,j]=2*ttail(rows(x)-2,abs(c[i,j]/sqrt((1-c[i,j]^2)/(rows(x)-2))))
  b[i,j]=b[i,j]+(p[i,j]<0.01?"***":(p[i,j]<0.05?"**":(p[i,j]<0.1?"*":"")))
  b[j,i]=b[j,i]+(p[j,i]<0.01?"***":(p[j,i]<0.05?"**":(p[j,i]<0.1?"*":"")))
  }
  }
  c=editvalue(b+J(n,n,"(")+strofreal(p,"%9.4f")+J(n,n,")"), "2.000(0.000)", "1")
  c
  end 

*===========================
*附录表4 分组差异分析
*===========================
  *根据非控股股东决策积极性产生虚拟变量
  quantiles msp ,gen(mspd) nq(2)  
  replace mspd =0 if mspd==1    
  replace mspd =1 if mspd==2      
  
  *均值差异性检验（结果直接输出星号）
  logout, save(table1) word replace:ttable3 rd_asset, by(mspd) f(%8.4f)
  *中位数差异性检验（结果直接输出星号）
  logout, save(table2) word replace:ttable3 rd_asset, by(mspd) median

***回归分析
*===========================
*正文表1 非控股股东决策积极性与企业技术创新
*===========================
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp   i.accper i.indcd ,fe  ; 
  #delimit cr

  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend   
      soe     i.accper i.indcd ,fe  ; 
  #delimit cr

  
    set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp_annual  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd ,fe  ; 
  #delimit cr

  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp_extra  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd ,fe ; 
  #delimit cr

 
*===========================
*正文表2 产权性质、经理人类型、审计质量与交叉上市的调节作用
*===========================
  
  *按产权性质分组
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend  
        i.accper i.indcd if soe==0,fe ; 
  #delimit cr
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend   
        i.accper i.indcd if  soe==1,fe ; 
  #delimit cr
		
  *按经理人类型分组
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend   
      soe     i.accper i.indcd if am==0,fe ; 
  #delimit cr
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend  
      soe     i.accper i.indcd if am==1,fe ; 
  #delimit cr
  
  *按事务所类型分组
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd if big8==1,fe ; 
  #delimit cr
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd if big8==0,fe ; 
  #delimit cr 
  
  *按是否交叉上市分组
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth expend   
      soe     i.accper i.indcd if ah==1,fe ; 
  #delimit cr
  est store m7
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp  size  lever cfo roa growth expend   
      soe     i.accper i.indcd if ah==0,fe ; 
  #delimit cr

 
 
*===========================
*正文表3及附录表5 稳健性检验
*===========================
  **1.专利申请数量做因变量-泊松回归
  *截尾
   	*上下截尾1%
	_pctile patent, percentile(1 99)
	
    return list
    drop if patent<r(r1) // 删除小于第1百分位的样本
    drop if patent>r(r2) // 删除大于第99百分位的样本
  *泊松回归
  gen fpatent=F.patent
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtpoisson  fpatent msp  size  lever cfo roa growth  expend  
      soe     i.accper i.indcd,  re; 
  #delimit cr

 			

  **2.分位数回归 
  set more off
  #delimit ;
  qreg rd_asset msp  size  lever cfo roa growth  expend   
      soe     i.accper i.indcd , q(0.5) ; 
  #delimit cr

  
  
  **3.研发支出截尾做因变量
  set more off
  *截尾
   	*上下截尾1%
	_pctile rda, percentile(1 99)
    return list
    drop if rda<r(r1) // 删除小于第1百分位的样本
    drop if rda>r(r2) // 删除大于第99百分位的样本
  
  
  *非控股股东决策积极性与研发投入
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  reg rda  msp  size  lever cfo roa growth  expend   
      soe     i.accper i.indcd ; 
  #delimit cr

			
  

 **4.非控股股东决策积极性与专利的对数
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg F.lnpatent msp size  lever cfo roa growth  expend  
      soe     i.accper i.indcd ; 
  #delimit cr

 

  
  **5.研发支出取对数做因变量
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  reg lnrd  msp  size  lever cfo roa growth  expend  
      soe     i.accper i.indcd ; 
  #delimit cr

  
  
  
  
**内生性解决
*===========================
*正文表3及附录表6 工具变量两阶段回归、Change模型、自变量滞后两期的回归结果
*===========================
  *工具变量两阶段回归
  sort stkcd accper
  bys indcd accper: egen mspind = mean(msp)
  bys adressp accper: egen msp_pro = mean(msp)

  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  ivregress2 2sls rd_asset (msp = network msp_pro)  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd , first; 
  #delimit cr
  estat overid
  

  
  *Change模型
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg D.rd_asset  D.msp  D.size  D.lever D.cfo D.roa D.growth D.expend   
      D.soe     i.accper i.indcd ,fe; 
  #delimit cr


  *滞后两期
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  L2.msp  size  lever cfo roa growth  expend    
      soe     i.accper i.indcd ,fe  ; 
  #delimit cr


  
***机制检验
*===========================
*正文表4 控股股东掏空的中介作用检验
*===========================
  **控股股东掏空的中介作用检验
  *非控股股东决策积极性与其他应收款
  drop if (first==.)|(cv==.)|(big8==.)|(idr==.)
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg or  msp  size  lever cfo roa growth soe first cv big8 idr
         i.accper i.indcd,fe ; 
  #delimit cr
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp or size  lever cfo roa growth expend   
        soe i.accper i.indcd,fe ; 
  #delimit cr
  
  *非控股股东决策积极性与关联交易
  drop if (first==.)|(cv==.)|(big8==.)|(idr==.) 
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rpt  msp   size  lever cfo roa growth soe first cv big8  idr
           i.accper i.indcd, fe ; 
  #delimit cr
  
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset msp rpt   size  lever cfo roa growth expend   
         soe  i.accper i.indcd, fe ; 
  #delimit cr
 
 
*===========================
*正文表5 经理人代理成本及股权融资风险的中介作用检验
*===========================
  **经理人代理成本的中介作用
  *非控股股东决策积极性与管理费用率
  drop if (mshare==.)|(dual==.)|(big8==.)|(idr==.)
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg me  msp  size  lever cfo roa growth soe  mshare dual  big8 idr
         i.accper i.indcd,fe ; 
  #delimit cr
  est store m1
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp me size  lever cfo roa growth expend    
        soe i.accper ,fe ; 
  #delimit cr
  est store m2
  
  *非控股股东决策积极性与资产周转率
  drop if (mshare==.)|(dual==.)|(big8==.)|(idr==.) 
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg turnover  msp   size  lever cfo roa growth soe mshare dual big8  idr
           i.accper , fe ; 
  #delimit cr
  
 
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset msp turnover   size  lever cfo roa growth expend   
         soe  i.accper i.indcd, fe ; 
  #delimit cr

			
  **股权融资风险的中介作用检验
  *非控股股东决策积极性与股价崩盘风险
  drop if (big8==.)|(idr==.)
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg ncskew  msp  size  lever cfo roa growth soe  big8 idr
         i.accper i.indcd,fe ; 
  #delimit cr

  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset  msp ncskew size  lever cfo roa growth expend    
        soe i.accper ,fe ; 
  #delimit cr
 
  
  *非控股股东决策积极性与资产周转率
  drop if (big8==.)|(idr==.) 
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg duvol  msp   size  lever cfo roa growth soe  big8  idr
           i.accper , fe ; 
  #delimit cr
 
  
  
  set more off
  xtset stkcd accper  //设定面板数据 
  #delimit ;
  xtreg rd_asset msp duvol   size  lever cfo roa growth expend     
         soe  i.accper i.indcd, fe ; 
  #delimit cr
  

